#!/usr/bin/env ruby
# 
# 2010      Nico Schottelius (nico-fui at schottelius.org)
# 
# This file is part of fui.
#
# fui is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# fui is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with fui. If not, see <http://www.gnu.org/licenses/>.
#
# UI part of fui
#

require 'uincurses'

class FuiUIFactory

   attr_reader :ui

   def initialize
      # probaby consider config?
      # ui = auto, x11, ncurses
      #if ENV['DISPLAY']
         # puts "X11 not implemented, falling back to ncurses"
      #else
         @ui = FuiUINcurses.new
      #end
   end
end
